export WINEARCH=win64
export winVer="win7"
get_installer "accessibility-plus-extended-1.18-curseforge-v1.9.0.jar" "https://www.curseforge.com/minecraft/mc-mods/accessibility-plus-extended/download"
get_installer "Mambience-5.2.0+1.19.jar" "https://www.curseforge.com/minecraft/mc-mods/mambience/download"
get_installer "easy-life-1.18-v1.5.1.jar" "https://www.curseforge.com/minecraft/mc-mods/easy-life/download"
get_installer "numpad-camera-controls-1.18-v1.5.1.jar" "https://www.curseforge.com/minecraft/mc-mods/numpad-keypad-camera-controls/download"
download "https://www.python.org/ftp/python/3.7.9/python-3.7.9-amd64.exe"
install_wine_bottle
wine "$cache/python-3.7.9-amd64.exe" /silent
wine 'c:\windows\py.exe' -m pip install portablemc portablemc-fabric
# Now just need to install latest fabric, portablemc start --dry fabric
wine 'c:\users\'"$USER"'\AppData\Local\Programs\Python\Python37\Scripts\portablemc.exe' start --dry fabric:
# Also need to copy all mods into right place.
mkdir "$WINEPREFIX/drive_c/users/$USER/AppData/Roaming/.minecraft/mods"
for x in "accessibility-plus-extended-1.18-curseforge-v1.9.0.jar" "Mambience-5.2.0+1.19.jar" "easy-life-1.18-v1.5.1.jar" "numpad-camera-controls-1.18-v1.5.1.jar" ; do
    cp "$cache/$x" "$WINEPREFIX/drive_c/users/$USER/AppData/Roaming/.minecraft/mods"
done
# And of course, add the launcher.
    "Mist World")
export winVer="win7"
get_installer "Mist World_Setup.exe" "https://drive.google.com/file/d/12YeUqorkkMT46ZSR5pcfWxSY8DHOLxZ-/view?usp=share_link"
download "https://github.com/RastislavKish/nvda2speechd/releases/download/v0.1/nvda2speechd32.dll"
install_wine_bottle ole32
7z x -o"$WINEPREFIX/drive_c/Program Files/Mist World" "$cache/Mist World_Setup.exe"
sed -i 's/1024m/768m/g' "$WINEPREFIX/drive_c/Program Files/Mist World/mw.exe.vmoptions"
cp "$WINEPREFIX/drive_c/Program Files/Mist World/"{mw.exe.vmoptions,update.exe.vmoptions}
find "$WINEPREFIX/drive_c/Program Files/Mist World" -iname "nvdaControllerClient32.dll" -exec cp "$cache/nvda2speechd32.dll" "{}" \;
mkdir "$WINEPREFIX/drive_c/Program Files/Mist World/"{user,users}
add_launcher 'c:\Program Files\Mist World\mw.exe'
echo
echo "If you do not have an account, There is a script in game-scripts to help."
echo "Launch the game, press enter on create account, then drop into a console so the game window does not lose focus."
echo "Change to the game-scripts directory and run"
echo "./mist_world_account_creator.sh and follow the prompts."
echo
echo "To login, type your email address, press tab, and type your password."
echo "If you want to enable automatic login, press tab two times followed by space, then tab and enter."
echo "If you do not want to auto login, you can just press enter after typing your password."
alert
